Subject: =?utf-8?Q?Re:_bug#68930:_30.0.50; __Emacs_conflates_C-=CE=A9_and_C-=CF=89?=

From: Alexander Prähauser <[email-masked]>
Date: Tue, 06 Feb 2024 12:34:09 +0000

"Po Lu" <[email-masked]> writes:

> Alexander Prähauser <[email-masked]> writes:
>
>> I just found that the same thing happens for   C-δ and C-Δ, where both are
>> in my keyboard layout file as Unicode letters, U03B4 and U0394 respectively.
>
> Why is this a bug?  The characters which are "conflated" are pairs of
> lower-case and upper-case characters, upper-case characters in which
> Emacs decapitalizes when modifiers aside from Shift are depressed, so
> that commands bound to lower-case characters with modifiers are executed
> even if latches such as Caps Lock are activated.

You're right in that, if I have the symbols in xkb as greek_lowercase
and greek_UPPERCASE, they both act as the lowercase version in keybinds.
However, when I type them as Unicode, they don't both act as lowercase,
but the uppercase version acts as lowercase and vice versa. Also, I
don't want them to both to act as lowercase, since I have them on higher
layers of my xkb layout, similarly to the
[[https://en.wikipedia.org/wiki/Neo_(keyboard_layout)][Neo layout]],
which in Linux are accessed using the Num, Alt and Shift modifier, so
that I can't, say, input C-S-ω because pressing shift switches the
keyboard layer. I'm pretty sure that's why I switched to using Unicode
in the first place.